json-c 0.14

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
json_object_private.h File Reference

Do not use, json-c internal, may be changed or removed at any time. More...

## Data Structures

struct | json_object
union | json_object::data

## Macros

#define | LEN_DIRECT_STRING_DATA 32

## Typedefs

typedef void( | json_object_private_delete_fn )(struct json_object *o)
typedef enum json_object_int_type | json_object_int_type

## Enumerations

enum | json_object_int_type { json_object_int_type_int64, json_object_int_type_uint64 }

## Functions

void | _json_c_set_last_err (const char *err_fmt,...)

## Variables

const char * | json_number_chars
const char * | json_hex_chars

## Detailed Description

Do not use, json-c internal, may be changed or removed at any time.

## Macro Definition Documentation

#define LEN_DIRECT_STRING_DATA 32

< how many bytes are directly stored in json_object for strings?

## Typedef Documentation

typedef enum json_object_int_type json_object_int_type

typedef void( json_object_private_delete_fn)(struct json_object *o)

## Enumeration Type Documentation

enum json_object_int_type

Enumerator:

  json_object_int_type_int64 |
  json_object_int_type_uint64 |

## Function Documentation

void _json_c_set_last_err | ( | const char * | err_fmt,
|  |  | ...
| ) |  |

## Variable Documentation

const char* json_hex_chars

const char* json_number_chars